scala.collection.immutable.ListMap
class Node

[source: `scala/collection/immutable/ListMap.scala`]

@serializable
`protected` `class` Node[B1 >: B](`protected val override` key : A, `protected val override` value : B1)
  `extends` ListMap[A, B1]

Method Summary
`override def` | - (k : A) : ListMap[A, B1] Creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.
`override def` | apply (k : A) : B1 Retrieves the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.
`override def` | get (k : A) : Option[B1] Checks if this map maps `key` to a value and return the value if it exists.
`override def` | isEmpty : Boolean Is this an empty map?
`protected override def` | next : ListMap[A, B1]
`override def` | size : Int Returns the number of mappings in this map.
`override def` | update [B2 >: B1](k : A, v : B2) : ListMap[A, B2] This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.

Methods inherited from ListMap
empty, elements

Methods inherited from Map
+, +, ++, ++, -, --, --, withDefault, withDefaultValue, transform, filter, +, incl, incl, excl, excl, mappingToString

Methods inherited from Map
getOrElse, contains, isDefinedAt, keys, keySet, values, equals, hashCode, toString, default, projection, filterKeys, mapElements, stringPrefix

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, map, flatMap, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` size : Int

  Returns the number of mappings in this map.

Returns
  number of mappings.

Overrides
  ListMap.size

`override` `def` isEmpty : Boolean

  Is this an empty map?

Returns
  true, iff the map is empty.

`override` `def` apply(k : A) : B1

  Retrieves the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.

Parameters
  `key -` the key
Returns
  the value associated with the given key.

`override` `def` get(k : A) : Option[B1]

  Checks if this map maps `key` to a value and return the value if it exists.

Parameters
  `key -` the key of the mapping of interest
Returns
  the value of the mapping, if it exists

Overrides
  ListMap.get

`override` `def` update[B2 >: B1](k : A, v : B2) : ListMap[A, B2]

  This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.

Parameters
  `k -` ...
  `v -` ...

Overrides
  ListMap.update

`override` `def` -(k : A) : ListMap[A, B1]

  Creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.

Parameters
  `k -` ...
Returns
  ...

Overrides
  ListMap.-

`protected override` `def` next : ListMap[A, B1]

Overrides
  ListMap.next